%global pre pre2

Name:          yapet
Version:       0.8
Release:       0.4.%{pre}%{?dist}
Summary:       Curses based password encryption tool

Group:         Applications/Productivity
License:       GPLv3+ with exceptions
URL:           http://www.guengel.ch/myapps/%{name}/
Source0:       http://www.guengel.ch/myapps/%{name}/downloads/%{name}-%{version}%{pre}.tar.bz2

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 

BuildRequires: openssl-devel
BuildRequires: ncurses-devel
BuildRequires: gettext


%description
YAPET is a text based password manager using the Blowfish encryption algorithm.
Because of its small footprint and very few library dependencies, it is suited
for installing on desktop and server systems alike.


%prep
%setup -q -n %{name}-%{version}%{pre}

for f in ./DESIGN ./README
do
  iconv -f iso-8859-1 -t utf-8 $f |sed 's|\r||g' > $f.utf8
  touch -c -r $f $f.utf8
  mv $f.utf8 $f
done


%build
%configure \
           --enable-terminal-title \
           --enable-csv2yapet \
           --enable-pwgen \
           --disable-build-doc \
           --disable-source-doc \
           --disable-install-doc

make %{?_smp_mflags} \
     CXXFLAGS+="%{optflags}" \
     CFLAGS+="%{optflags}"


%install
rm -rf %{buildroot}
make install \
     INSTALL="install -p" \
     DESTDIR=%{buildroot}

rm -rf %{buildroot}/%{_datadir}/applications/

%find_lang %{name}


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING DESIGN LICENSE NEWS README THANKS TODO
%{_bindir}/%{name}
%{_bindir}/csv2%{name}
%{_mandir}/man*/*%{name}*


%changelog
* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-0.4.pre2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-0.3.pre2
- Rebuilt for c++ ABI breakage

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-0.2.pre2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Mar 15 2011 Simon Wesp <cassmdodiah@fedoraproject.org> - 0.8-0.1.pre2
- Update

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Nov 14 2010 Simon Wesp <cassmdodiah@fedoraproject.org> - 0.7-1
- New upstream release

* Sun Oct 12 2009 Simon Wesp <cassmdodiah@fedoraproject.org> - 0.6-2
- Correct License and patch integration
- Add LICENSE to DOC

* Sun Oct 12 2009 Simon Wesp <cassmdodiah@fedoraproject.org> - 0.6-1
- Initial Package build
